.hamburger-menu{
  z-index: 10;
  a{
    text-decoration: none;
    color: $white;
    transition: color 0.3s ease;
    font-size: 28px;
    margin-right: calc(15% - 20px);
    @media screen and (max-width: 500px){
      margin-right: calc(20% - 20px);
    }
  }
  #menuToggle{
    display: block;
    position: relative;
    top: 5px;
    right: 15%;
    @media screen and (max-width: 500px){
      right: 20%;
    }
    transform: translateX(100%);
    z-index: 1;
    -webkit-user-select: none;
    user-select: none;
    input{
      display: block;
      width: 40px;
      height: 32px;
      position: absolute;
      top: -7px;
      left: -5px;
      cursor: pointer;
      opacity: 0; /* hid this */
      z-index: 2; /* and place it over the hamburger */
      -webkit-touch-callout: none;
    }
    span{
      display: block;
      width: 33px;
      height: 4px;
      margin-bottom: 5px;
      position: relative;
      background: $white;
      border-radius: 3px;
      z-index: 1;
      transform-origin: 4px 0;
      transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0), background 0.5s cubic-bezier(0.77,0.2,0.05,1.0), opacity 0.55s ease;
      &:first-child{
        transform-origin: 0 0;
      }
      &:nth-last-child(2){
        transform-origin: 0 100%;
      }
    }
    input:checked ~ span{
      opacity: 1;
      transform: rotate(45deg) translate(-2px, -1px);
      background: $white;
      &:nth-last-child(3){
        opacity: 0;
        transform: rotate(0deg) scale(0.2, 0.2);
      }
      &:nth-last-child(2){
        transform: rotate(-45deg) translate(0, -1px);
      }
    }
  }
  #menu{
    display: block;
    text-align: right;
    position: absolute;
    top: -80px;
    width: 100%;
    margin-top: 20px;
    padding: 120px 0 50px 0;
    background: $green;
    list-style-type: none;
    -webkit-font-smoothing: antialiased;
    transform-origin: 0 0;
    margin-left: 15%;
    @media screen and (max-width: 500px){
      margin-left: 20%;
    }
    //transform: translate(200px, 0);
    transition: transform .5s cubic-bezier(0.77,0.2,0.05,1.0);
    li{
      padding: 10px 0;
      font-size: 32px;
      font-weight: $fw-semibold;
    }
  }

  #menuToggle input:checked ~ ul{
    transform: translate(-100%, 0);
  }
}

